# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define tarname firmware-extractor

Summary:        Speedtouch firmware extractor
Name:           speedtouch-firmware-extractor
Version:        0.1
Release:        alt1_20
License:        GPLv2+
Group:          System/Kernel and hardware
Url:            http://www.linux-usb.org/SpeedTouch/firmware/index.html
Source0:        %{tarname}.tar.bz2
Source44: import.info

%description
This is a small application to prepare and install the firmware for a
SpeedTouch USB modem so that a 2.6.10 kernel (or later) can load the
firmware without the assistance of modem_run.

The firmware extractor splits the firmware file (old mgmt.o) in
smaller firmware files (stage1 and stage2) that are meant to be used
with hotplug firmware loading.

%prep
%setup -q -n %{tarname}

%build
gcc %{optflags} -o %{tarname} firmware.c

%install
install -D -m755 %{tarname} %{buildroot}%{_sbindir}/%{tarname}

%files
%doc README
%{_sbindir}/%{tarname}


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.1-alt1_20
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_19
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_18
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_17
- new version

